Bug 1127404 - RFE: Need an option to exclude network IP's when creating Nova networks
Summary: RFE: Need an option to exclude network IP's when creating Nova networks
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 6.0 (Juno)
Assignee: Ivan Chavero
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On: 1119382 1127405
Blocks: 1093544 1119945
TreeView+ depends on / blocked
 
Reported: 2014-08-06 20:05 UTC by Mike Burns
Modified: 2016-04-27 01:37 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1119382
Environment:
Last Closed: 2015-08-07 13:49:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 135123 None None None Never
OpenStack gerrit 138505 None None None Never

Comment 1 Ivan Chavero 2014-10-01 18:30:05 UTC
Checking if there's already some work on the nova puppet module regarding this enhancement

Comment 2 Ivan Chavero 2014-11-22 23:37:34 UTC
added parameters to puppet module:
https://review.openstack.org/#/c/135123/
pending upload of packstack patch

Comment 3 Ivan Chavero 2014-12-02 20:04:31 UTC
added packstack review https://review.openstack.org/#/c/138505/

Comment 7 Ivan Chavero 2015-07-15 06:47:37 UTC
Is this RFE desired?

Comment 8 Ivan Chavero 2015-07-17 19:26:26 UTC
Resumed work on the upstream module, checking with the community if the fix is correct. https://review.openstack.org/#/c/135123/7

Comment 9 Ivan Chavero 2015-07-27 14:19:24 UTC
patch has been merged upstream. Scott, is this RFE desired for OSP 6? need to know in order to create backport

Comment 12 Alvaro Lopez Ortega 2015-07-27 17:32:33 UTC
Mike just confirmed me that there is no need for backport here.

Comment 13 Ivan Chavero 2015-07-29 04:31:55 UTC
Package ready, can i have acks so i can push it?

Comment 14 Mike Burns 2015-07-29 13:42:28 UTC
No need to backport this from my perspective.

Comment 15 Ivan Chavero 2015-08-06 04:32:23 UTC
can i have acks for this bug please?

Comment 16 Lukas Bezdicka 2015-08-07 09:03:28 UTC
https://review.openstack.org/210256

We have to revert the change as it breaks deployments. In the change we switched from nova-manage to nova which by luck worked in reviews but that was issue of test environment. Nova command it's self requires credentials that ::nova::network does not have and it will simply fail. Adding the credentials is too big of change that is backwards incompatible so changing the module is out of the question. If anyone wants to create network with excluded IPs it should be done by setting create_networks => false on ::nova::network and creating them manually by exec for example.

Comment 17 Lukas Bezdicka 2015-08-07 13:49:16 UTC
Looking into packstack code I'm just reverting the patch and closing this as won't fix.


Note You need to log in before you can comment on or make changes to this bug.